package intrinsic.mx.core;

public class ComponentDescriptor extends Object {

	/** Accessors */
	public Object properties;

	/** Variables */
	public Object document;
	public intrinsic.Function propertiesFactory;
	public intrinsic.Class type;
	public Object events;
	public String id;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ComponentDescriptor() {
}

public ComponentDescriptor(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void invalidateProperties();
public native String toString();

}
